#
# spec file for package netdate (Version 1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           netdate
License:        distributable
Group:          Productivity/Networking/Other
Provides:       nkitb:/usr/sbin/netdate
Autoreqprov:    on
Version:        1.2
Release:        591.2
Summary:        Set Date and Time by ARPA Internet RFC 868
URL:            http://www.ibiblio.org/pub/linux/system/network/sunacm/Other/netdate/
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Netdate takes a list of names of Internet hosts as arguments, selects
the one that supplies the best time, and sets the system time
accordingly.

The "best" time is chosen by polling the named hosts once each to find
their times and taking their differences from the local host's time.
These differences are used to find the largest group of hosts whose
times agree with each other within a certain limit. The first host in
the largest group is picked as the best host.



%debug_package
%prep
%setup -n netdate
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT/ install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYRIGHT
%doc %{_mandir}/man?/*
/usr/sbin/netdate

%changelog -n netdate
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 - postadal@suse.cz
- added RPM_OPT_FLAGS to CFLAGS and CXXFLAGS
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Nov 13 2002 - kukuk@suse.de
- fix wtmp corruption [Bug #21740]
* Thu Feb 28 2002 - bk@suse.de
- fix 64-bit bug: don't use signed when assinging to unsigned long
* Tue Apr 10 2001 - kukuk@suse.de
- Add IPv6 support
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Mon Feb 19 2001 - cihlar@suse.cz
- compile with $RPM_OPT_FLAGS and -D_GNU_SOURCE
- fixed file list
* Fri Dec 01 2000 - smid@suse.cz
- new version 1.2
* Sat Apr 15 2000 - kukuk@suse.de
- Initial package, split from nkitb.
